> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Get all Access Lists API enumeration types and their values ## OpenAPI ````yaml https://api.bunny.net/shield/docs/v1/swagger.json get /shield/shield-zone/{shieldZoneId}/access-lists/enums openapi: 3.0.4 info: title: Bunny Shield API description: >- Bunny.net API for Bunny Shield (WAF, DDoS, Rate Limiting, Bot Detection, Access Lists & API Guardian). version: v1 servers: - url: https://api.bunny.net security: [] paths: /shield/shield-zone/{shieldZoneId}/access-lists/enums: get: tags: - Access Lists summary: Get all Access Lists API enumeration types and their values operationId: Get Access List Enums parameters: - name: shieldZoneId in: path required: true schema: type: string responses: '200': description: OK content: text/plain: schema: type: object additionalProperties: type: object additionalProperties: type: string description: >- Represents a response with the list of enumeration types and their values exposed by the Access Lists API. application/json: schema: type: object additionalProperties: type: object additionalProperties: type: string description: >- Represents a response with the list of enumeration types and their values exposed by the Access Lists API. text/json: schema: type: object additionalProperties: type: object additionalProperties: type: string description: >- Represents a response with the list of enumeration types and their values exposed by the Access Lists API. '401': description: Unauthorized content: text/plain: schema: $ref: '#/components/schemas/ProblemDetails' application/json: schema: $ref: '#/components/schemas/ProblemDetails' text/json: schema: $ref: '#/components/schemas/ProblemDetails' components: schemas: ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.